##
##  dockerize.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg  0.9.2
%define       V_dist  20250113

#   package information
Name:         dockerize
Summary:      Generate Configurations and Wait from Services in Docker Containers
URL:          https://github.com/jwilder/dockerize
Vendor:       Jason Wilder
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Filesystem
License:      MIT
Version:      %{V_opkg}.%{V_dist}
Release:      20250113

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/dockerize/dockerize-%{V_dist}.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, go
PreReq:       OpenPKG, openpkg >= 20160101

%description
    dockerize(8) is a utility to simplify running applications in Docker
    containers. It allows you to: generate application configuration
    files at container startup time from templates and container
    environment variables; Tail multiple log files to stdout and/or
    stderr; and Wait for other services to be available using TCP,
    HTTP(S), unix before starting the main process.

%track
    prog dockerize:release = {
        version   = %{V_opkg}
        url       = https://github.com/jwilder/dockerize/releases
        regex     = (\d+\.\d+\.\d+)\.tar\.gz
    }
    prog dockerize:snapshot = {
        version   = %{V_dist}
        url       = http://download.openpkg.org/components/versioned/dockerize/
        regex     = dockerize-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n dockerize

%build
    #   build program
    export GOPATH=`pwd`
    cd src/github.com/jwilder/dockerize
    go build -v -o dockerize

%install
    #   create installation hierarchy
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/sbin

    #   install program
    %{l_shtool} install -c -s -m 755 \
        src/github.com/jwilder/dockerize/dockerize \
        $RPM_BUILD_ROOT%{l_prefix}/sbin/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

